Bug 635969 - glob echo mkfs ext2 /dev/vd[b-t]1 prints garbage
glob echo mkfs ext2 /dev/vd[b-t]1 prints garbage
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-21 04:00 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-09-21 04:00:56 EDT
Description of problem:

><fs> list-partitions 
/dev/vda1
/dev/vda2
/dev/vdb1
/dev/vdc1
/dev/vdd1
/dev/vde1
/dev/vdf1
/dev/vdg1
/dev/vdh1
/dev/vdi1
/dev/vdj1
/dev/vdk1
/dev/vdl1
/dev/vdm1
/dev/vdn1
/dev/vdo1
/dev/vdp1
/dev/vdq1
/dev/vdr1
/dev/vds1
/dev/vdt1
><fs> glob echo mkfs ext2 /dev/vd[b-t]1
 � H��H��t;�=L0

Version-Release number of selected component (if applicable):

libguestfs 1.5.16

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard W.M. Jones 2010-09-21 04:43:09 EDT
Oddly enough, this happened only once.  If I run
the precise set of commands a second time, there
is no output.
Comment 2 Richard W.M. Jones 2010-10-01 05:50:36 EDT
glob was broken in 1.5.12 onwards.

Should be fixed by:
https://www.redhat.com/archives/libguestfs/2010-October/msg00000.html

Note You need to log in before you can comment on or make changes to this bug.